vim.g.mapleader = " "
vim.keymap.set("n", "<leader>eq", vim.cmd.Ex)
vim.keymap.set("n", "gd", vim.lsp.buf.definition, opts)
vim.keymap.set("n", "gD", vim.lsp.buf.declaration, opts)
vim.keymap.set("n", "gi", vim.lsp.buf.implementation, opts)
vim.keymap.set("n", "gr", vim.lsp.buf.references, opts)
vim.keymap.set("n", "K", vim.lsp.buf.hover, opts)
vim.keymap.set("n", "<C-k>", vim.lsp.buf.signature_help, opts)
vim.keymap.set("i", "<C-Tab>", vim.lsp.buf.completion, context)
vim.keymap.set("n", "<leader>rn", vim.lsp.buf.rename, { desc = "Rename symbol" })
vim.keymap.set('n', '<leader>fe', ':!zathura --fork %:r.pdf<CR>', { noremap = true, silent = true })
-- vim.keymap.set("")
